var check = function () {

//global hosturl
    var hosturl = $('#hosturl').val();
    var checkexist = function () {
        $("#myform #data , #data2 ,#data3, #data_en ").on('change', function () {

            var datainput = $("#data").val();
            var datainput2 = $("#data2").val();
            var datainput3 = $("#data3").val();
            var data_en = $("#data_en").val();

            var controller = $(this).attr('data-link');
            var edit = $("#data").attr("data-edit");
            var edit2 = $("#data2").attr("data-edit2");
            var edit3 = $("#data3").attr("data-edit");

            $.post(hosturl + "/" + controller + "/check", {datainput: datainput, datainput3: datainput3, datainput2: datainput2, edit3: edit3, edit: edit, edit2: edit2, data_en: data_en}, function (data) {
                if (edit == null && edit2 == null) {
                    if (data == 'no') {
                        $("#showerrorname").css({'display': 'none'});
                        $('#submit').prop('disabled', false);
                    } else {
                        $("#showerrorname").css({'display': 'block'});
                        $('#submit').prop('disabled', true);

                    }


                }

                data = data.split(",");
                var split1 = data[0];
                var split2 = data[1];

                if (split1 == 'yes') {

                    $("#showerrorname").css({'display': 'block'});
                    $('#submit').prop('disabled', true);
                }
                else {
                    $("#showerrorname").css({'display': 'none'});
                    $('#submit').prop('disabled', false);
                }
                if (split2 == 'yes') {

                    $("#showerrorname").css({'display': 'block'});
                    $('#submit').prop('disabled', true);
                }
                else {
                    $("#showerrorname").css({'display': 'none'});
                    $('#submit').prop('disabled', false);
                }
                if (split1 == 'no' && split2 == 'no') {
                    $('#submit').prop('disabled', false);
                }
                if (split1 == 'yes' || split2 == 'yes') {
                    $("#showerrorname").css({'display': 'block'});
                    $('#submit').prop('disabled', true);

                }

            });
        })

    }



//global hosturl
    var hosturl = $('#hosturl').val();
    var checkexist2 = function () {
        $("#myform2 #ar1 , #ar3").on('change', function () {

            var datainput = $("#ar1").val();
            var datainput2 = $("#ar3").val();

            var controller = $(this).attr('data-link');
            var edit = $(this).attr('data-edit');
            $.post(hosturl + "/" + controller + "/check", {datainput: datainput, datainput2: datainput2, edit: edit}, function (data) {
//                alert(data);
                if (data.replace(/\s/g, "") == 'yes') {

                    $("#showerrorname").css({'display': 'block'});
                    $('#submit').prop('disabled', true);
                } else {
                    $("#showerrorname").css({'display': 'none'});
                    $('#submit').prop('disabled', false);
                }
            });
        })

    }
//    }

//    var checkexist2 = function () {
//        $("#myform #data2, #data , #data3").on('change', function () {
//
//            var datainput = $("#data").val();
////            var datainput2 = $("#data2").val();
//            var datainput3 = $("#data3").val();
//
//
//            var controller = $(this).attr('data-link');
//            var edit = $(this).attr('data-edit');
//            $.post(hosturl + "/" + controller + "/check", {datainput: datainput, datainput3: datainput3, edit: edit}, function (data) {
//
//                if (data.replace(/\s/g, "") == 'yes') {
//
//                    $("#showerrorname").css({'display': 'block'});
//                    $('#submit').prop('disabled', true);
//                } else {
//                    $("#showerrorname").css({'display': 'none'});
//                    $('#submit').prop('disabled', false);
//                }
//            });
//        })
//    }
    return {
//main function to initiate the module
        init: function () {

            checkexist();
            checkexist2();
        }

    };
}();
jQuery(document).ready(function () {
    check.init();
});